## uclibc 0.9.30.2

=== Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=./
top_builddir=./
#include $(top_builddir)Rules.mak
#all: libs
include Makefile.in
include $(top_srcdir)Makerules
include $(top_srcdir)Makefile.help

=== test/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_builddir=../
include Rules.mak

ALL_SUBDIRS := $(patsubst %/Makefile,%,$(wildcard */Makefile))

DIRS := $(ALL_SUBDIRS)
ifneq ($(HAVE_SHARED)$(UCLIBC_HAS_THREADS),yy)
	DIRS := $(filter-out dlopen,$(DIRS))
endif
ifneq ($(findstring -static,$(LDFLAGS)),)
	DIRS := $(filter-out dlopen,$(DIRS))
endif
ifneq ($(UCLIBC_HAS_THREADS),y)
	DIRS := $(filter-out pthread,$(DIRS))
endif
ifneq ($(UCLIBC_HAS_FULL_RPC),y)
	DIRS := $(filter-out rpc,$(DIRS))
endif
ifneq ($(UCLIBC_HAS_REGEX),y)
	DIRS := $(filter-out regex,$(DIRS))
endif
ifneq ($(UCLIBC_HAS_WCHAR),y)
	DIRS := $(filter-out locale-mbwc,$(DIRS))
endif
ifneq ($(UCLIBC_HAS_LOCALE),y)
	DIRS := $(filter-out locale,$(DIRS))
endif
ifeq ($(UCLIBC_HAS_CRYPT_STUB),y)
	DIRS := $(filter-out crypt,$(DIRS))
endif
ifeq ($(HAS_NO_THREADS),y)
	DIRS := $(filter-out pthread,$(DIRS))
endif

test check all: run

run: subdirs_run

compile: subdirs_compile

tags:
	ctags -R

clean: subdirs_clean

subdirs: $(patsubst %, _dir_%, $(DIRS))
subdirs_compile: $(patsubst %, _dircompile_%, $(DIRS))
subdirs_run: $(patsubst %, _dirrun_%, $(DIRS))
subdirs_clean: $(patsubst %, _dirclean_%, $(ALL_SUBDIRS))

$(patsubst %, _dir_%, $(DIRS)) : dummy
	$(Q)$(MAKE) -C $(patsubst _dir_%, %, $@)

$(patsubst %, _dirrun_%, $(DIRS)) : dummy
	$(Q)$(MAKE) -C $(patsubst _dirrun_%, %, $@) run

$(patsubst %, _dircompile_%, $(DIRS)) : dummy
	$(Q)$(MAKE) -C $(patsubst _dircompile_%, %, $@) compile

$(patsubst %, _dirclean_%, $(ALL_SUBDIRS)) : dummy
	$(Q)$(MAKE) -C $(patsubst _dirclean_%, %, $@) clean

.PHONY: all check clean dummy subdirs_compile subdirs_run subdirs subdirs_clean test run compile

=== extra/config/Makefile ===
obj := .
src := .
top_srcdir=../../
top_builddir=../../
srctree := .
include $(top_builddir)Rules.mak

include Makefile.kconfig

ifeq ($(findstring mconf,$(MAKECMDGOALS)),mconf)
hostprogs-y += mconf
endif

-include .depend
.depend: $(wildcard *.h *.c)
	$(Q)$(HOSTCC) $(HOST_EXTRACFLAGS) $(HOSTCFLAGS) -MM *.c > .depend 2>/dev/null || :

__hostprogs := $(sort $(hostprogs-y) $(hostprogs-m))
host-csingle    := $(foreach m,$(__hostprogs),$(if $($(m)-objs),,$(m)))
host-cmulti := $(foreach m,$(__hostprogs),\
           $(if $($(m)-cxxobjs),,$(if $($(m)-objs),$(m))))
host-cobjs  := $(sort $(foreach m,$(__hostprogs),$($(m)-objs)))

$(host-csingle): %: %.c
	$(HOSTCC) $(HOST_EXTRACFLAGS) $(HOSTCFLAGS) $(HOSTCFLAGS_$@) $< $(HOST_LOADLIBES) -o $@

$(host-cmulti): %: $(host-cobjs) $(host-cshlib)
	$(HOSTCC) $(HOST_EXTRACFLAGS) $(HOSTCFLAGS) $(HOSTCFLAGS_$@) $($@-objs) $(HOST_LOADLIBES) -o $@

$(host-cobjs): %.o: %.c
	$(HOSTCC) $(HOST_EXTRACFLAGS) $(HOSTCFLAGS) $(HOSTCFLAGS_$@) -c $< -o $@

$(obj)/%:: $(src)/%_shipped
	$(Q)cat $< > $@

clean:
	$(Q)rm -f $(clean-files) conf
distclean: clean
	$(Q)rm -f $(lxdialog) $(conf-objs) $(mconf-objs) $(kxgettext-objs) \
		$(hostprogs-y) $(qconf-cxxobjs) $(qconf-objs) $(gconf-objs) \
		.depend
	$(Q)rm -r -f $(top_builddir)include/config

FORCE:
.PHONY: FORCE clean distclean

=== test/args/Makefile ===
# uClibc args tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

include ../Test.mak

OPTS_arg_test = a b c d e f g h
WRAPPER_arg_test = \
	env -i \
	ENVVAR=123 \
	SOMETHING=sldajfasdf \
	BLAHBLAH=" hi hi "

=== test/build/Makefile ===
# uClibc build tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

include ../Test.mak

=== test/crypt/Makefile ===
# uClibc crypt tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

include ../../.config

ifneq ($(UCLIBC_HAS_CRYPT),y)
TESTS_DISABLED := $(patsubst %.c,%,$(wildcard *.c))
endif

include ../Test.mak

EXTRA_LDFLAGS := -lcrypt

OPTS_crypt = < crypt.input

=== test/ctype/Makefile ===
# uClibc ctype tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

TESTS := ctype

include ../Test.mak

=== test/dlopen/Makefile ===
# uClibc dlopen tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

# rules need a little love to work with glibc ...
export UCLIBC_ONLY := 1

TESTS := dltest dltest2 dlstatic test1 test2 test3 dlundef dlafk dladdr

include ../Test.mak

CFLAGS_dltest    := -DLIBNAME="\"./libtest.so\""
CFLAGS_dltest2   := -DLIBNAME="\"./libtest3.so\""

LDFLAGS_dlstatic := -ldl
LDFLAGS_dltest   := -ldl -lpthread
LDFLAGS_dltest2  := -ldl -lpthread
LDFLAGS_dlundef  := -ldl
LDFLAGS_dlafk    := -ldl ./libafk.so -Wl,-rpath,.
LDFLAGS_test1    := -ldl
LDFLAGS_test2    := -ldl
LDFLAGS_test3    := -ldl ./libtest1.so ./libtest2.so -Wl,-rpath,.
LDFLAGS_dladdr   := -ldl

DEBUG_LIBS := X
WRAPPER := env $(DEBUG_LIBS)=all LD_LIBRARY_PATH="$$PWD:.:$(LD_LIBRARY_PATH)"

dltest: libtest.so
dltest2: libtest3.so
dlstatic: libstatic.so
dlundef: libundef.so
dlafk: libafk.so
libafk.so: libafk-temp.so
LDFLAGS_libafk.so := ./libafk-temp.so -Wl,-rpath,.
test1: libtest1.so
test2: libtest1.so libtest2.so
test3: libtest1.so libtest2.so
libtest1.so: libtest2.so
LDFLAGS_libtest1.so := ./libtest2.so -Wl,-rpath,.
LDFLAGS_libtest2.so := -Wl,-rpath,.
LDFLAGS_libtest3.so := -lpthread -Wl,-rpath,.

=== test/locale-mbwc/Makefile ===
# uClibc locale tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#	 tst_mbtowc tst_strcoll tst_strfmon tst_strxfrm    \

TESTS := tst_iswalnum tst_iswalpha tst_iswcntrl          \
	 tst_iswctype tst_iswdigit tst_iswgraph          \
	 tst_iswlower tst_iswprint tst_iswpunct          \
	 tst_iswspace tst_iswupper tst_iswxdigit         \
	 tst_mblen tst_mbrlen tst_mbrtowc tst_mbsrtowcs  \
	 tst_mbstowcs tst_mbtowc tst_strcoll tst_strxfrm \
	 tst_swscanf tst_towctrans tst_towlower          \
	 tst_towupper tst_wcrtomb tst_wcscat tst_wcschr  \
	 tst_wcscmp tst_wcscoll tst_wcscpy tst_wcscspn   \
	 tst_wcslen tst_wcsncat tst_wcsncmp tst_wcsncpy  \
	 tst_wcspbrk tst_wcsrtombs tst_wcsspn tst_wcsstr \
	 tst_wcstod tst_wcstok tst_wcstombs tst_wcswidth \
	 tst_wcsxfrm tst_wctob tst_wctomb tst_wctrans    \
	 tst_wctype tst_wcwidth tst_strfmon


# NOTE: For now disabled tst_strfmon to avoid build failure.
TESTS_DISABLED := tst_strfmon

include ../Test.mak

DODIFF_rint     := 1

EXTRA_CFLAGS    := -D__USE_GNU -fno-builtin

=== test/locale/Makefile ===
# uClibc locale tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#	 tst_mbtowc tst_strcoll tst_strfmon tst_strxfrm    \

TESTS := bug-iconv-trans bug-usesetlocale collate-test dump-ctype \
	 gen-unicode-ctype show-ucs-data tst-ctype \
	 tst-digits tst-fmon tst-langinfo tst-leaks tst-mbswcs1 \
	 tst-mbswcs2 tst-mbswcs3 tst-mbswcs4 tst-mbswcs5 tst-mbswcs6 \
	 tst_nl_langinfo tst-numeric tst-rpmatch tst-setlocale \
	 tst-sscanf tst-strfmon1 tst-trans tst-wctype tst-xlocale1 \
	 tst-xlocale2 xfrm-test


# NOTE: For now disabled some tests that are known not build
TESTS_DISABLED := tst-ctype tst-fmon tst-leaks tst-rpmatch tst-strfmon1

ifneq ($(UCLIBC_HAS_XLOCALE),y)
TESTS_DISABLED += bug-usesetlocale tst-xlocale1 tst-xlocale2 xfrm-test tst-C-locale
endif

include ../Test.mak

DODIFF_rint     := 1

EXTRA_CFLAGS    := -D__USE_GNU -fno-builtin

OPTS_dump-ctype = C
OPTS_tst-ctype = < tst-ctype-de_DE.ISO-8859-1.in
OPTS_tst-langinfo = < tst-langinfo.input

EXTRA_DIRS := C

=== test/malloc/Makefile ===
# uClibc malloc tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

TESTS_DISABLED := time_malloc

include ../Test.mak

=== test/math/Makefile ===
# uClibc math tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

include ../../.config

TESTS := basic-test rint tst-definitions test-fpucw test-float test-ifloat test-double test-idouble
ifeq ($(UCLIBC_HAS_LONG_DOUBLE_MATH),y)
TESTS += test-ldouble test-ildoubl compile_test
else
CFLAGS_basic-test := -DNO_LONG_DOUBLE
endif

include ../Test.mak

DODIFF_rint     := 1

# NOTE: For basic-test we must disable the floating point optimization.
#       Only for sh architecture because in the other architecture are disabled.
ifeq ($(TARGET_ARCH),sh)
CFLAGS_basic-test += -mieee
endif
EXTRA_CFLAGS    := -fno-builtin
EXTRA_LDFLAGS   := -lm

PERL := /usr/bin/perl
ulps-file := $(firstword $(wildcard $(config-sysdirs:%=$(..)%/libm-test-ulps)))
libm-test.c: $(ulps-file) libm-test.inc gen-libm-test.pl
	$(Q)$(PERL) ./gen-libm-test.pl -u $< ./libm-test.inc -o "." 2>&1 > /dev/null
EXTRA_CLEAN := libm-test.c libm-test-ulps.h
$(TARGETS): libm-test.c

=== debian/changelog ===
uclibc (0.9.30.2-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Mon, 08 Mar 2010 16:34:07 +0100

uclibc (0.9.30.1-2) unstable; urgency=low

  * Add actual binary packages on uclibc-linux-* architectures

 -- Simon Richter <sjr@debian.org>  Sat, 12 Dec 2009 18:05:11 +0100

=== debian/control ===
Source: uclibc
Section: libs
Priority: extra
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends: linux-libc-dev, debhelper (>= 7)
Standards-Version: 3.8.3

Package: uclibc-source
Section: devel
Architecture: all
Description: Small C library implementation - source
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the source code for the library, for toolchain
 bootstrap purposes.

Package: libuclibc-dev
Section: libdevel
Architecture: any
Depends: uclibc0.9.30.2 (= ${binary:Version})
Description: Small C library implementation - development files
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the necessary headers and static libraries for compiling
 and linking programs against uClibc.

Package: libuclibc-pic
Section: libdevel
Architecture: any
Description: Small C library implementation - PIC static library
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides a static archive of the individual functions, but
 compiled appropriately for shared libraries. This allows building a reduced
 variant of the shared library that is smaller, but only guaranteed to work
 with a fixed set of applications.

Package: uclibc0.9.30.2
Section: libs
Architecture: any
Description: Small C library implementation - runtime libraries
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the run-time binaries.

Package: uclibc32-0.9.30.2
Section: libs
Architecture: any
Description: Small C library implementation - 32 bit runtime libraries
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the run-time binaries for the 32 bit variant of this
 architecture.

Package: uclibc64-0.9.30.2
Section: libs
Architecture: any
Description: Small C library implementation - 64 bit runtime libraries
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the run-time binaries for the 64 bit variant of this
 architecture.

Package: uclibc0.9.30.2-multilib
Section: libs
Architecture: any
Description: Small C library implementation - non-standard runtime libraries
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the run-time binaries for ABIs different from the
 system default.

Package: libc0.9.30.2uc
Section: libs
Architecture: any
Description: Small C library implementation - C library
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the C library.

Package: lib32c0.9.30.2uc
Section: libs
Architecture: any
Description: Small C library implementation - 32 bit C library
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the C library, compiled for a 32 bit execution
 environment.

Package: lib64c0.9.30.2uc
Section: libs
Architecture: any
Description: Small C library implementation - 64 bit C library
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the C library, compiled for a 64 bit execution
 environment.

Package: libm0.9.30.2uc
Section: libs
Architecture: any
Description: Small C library implementation - C library
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the mathematical library.

Package: lib32m0.9.30.2uc
Section: libs
Architecture: any
Description: Small C library implementation - C library
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the mathematical library, compiled for a 32 bit
 execution environment.

Package: lib64m0.9.30.2uc
Section: libs
Architecture: any
Description: Small C library implementation - C library
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems. This package provides
 only the run-time libraries.
 .
 This package provides the mathematical library, compiled for a 64 bit
 execution environment.

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS =
else
ifeq ($(shell which $(DEB_HOST_GNU_TYPE)-gcc),)
$(warning Can not find $(DEB_HOST_GNU_TYPE)-gcc)
ifeq ($(DEB_BUILD_GNU_TYPE),$(subst uclibc,gnu,$(DEB_HOST_GNU_TYPE)))
$(warning -> Using native compiler instead)
CROSS =
else
ifneq ($(shell which $(subst uclibc,gnu,$(DEB_HOST_GNU_TYPE))-gcc),)
$(warning -> Using $(subst uclibc,gnu,$(DEB_HOST_GNU_TYPE))-gcc instead)
CROSS = $(subst uclibc,gnu,$(DEB_HOST_GNU_TYPE))-
else
$(error No $(subst uclibc,gnu,$(DEB_HOST_GNU_TYPE))-gcc either.)
endif
endif
else
CROSS = $(DEB_HOST_GNU_TYPE)-
endif
endif

parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

version = 0.9.30.2

pwd = $(shell pwd)

packages_arch_uclibc_linux_amd64_debian = uclibc$(version) uclibc-dev
packages_arch_uclibc_linux_armel_debian = uclibc$(version) uclibc-dev
packages_arch_uclibc_linux_armebuc_debian = uclibc$(version) uclibc-dev
packages_arch_uclibc_linux_powerpc_debian = uclibc$(version) uclibc-dev
packages_arch_uclibc_linux_emdebian = libc$(version)uc libm$(version)uc

packages_indep_debian = uclibc-source

config_uclibc_linux_amd64_debian = config-amd64
config_uclibc_linux_armel_debian = config-armel
config_uclibc_linux_armebuc_debian = config-armebuc
config_uclibc_linux_powerpc_debian = config-powerpc

arch_uclibc_linux_amd64_debian = x86_64
arch_uclibc_linux_armel_debian = arm
arch_uclibc_linux_armebuc_debian = arm
arch_uclibc_linux_powerpc_debian = powerpc

vendor = $(shell \
    dpkg-vendor --derives-from emdebian && echo emdebian || \
    dpkg-vendor --derives-from debian && echo debian)

ifeq ($(vendor),)
$(error Vendor not supported)
endif

host = $(subst -,_,$(DEB_HOST_ARCH))

type = $(host)_$(vendor)

config = $(config_$(type))
arch = $(arch_$(type))

packages_arch = $(packages_arch_$(type))
packages_indep = $(packages_indep_$(vendor))

ifneq ($(packages_arch),)
ifeq ($(config),)
$(error No configuration)
endif
ifeq ($(arch),)
$(error No mapping from Debian to uClibc arch name)
endif
endif

build: build-arch build-indep
build-arch: $(packages_arch:%=build-%)
build-indep: $(packages_indep:%=build-%)

binary: binary-arch binary-indep
binary-arch: $(packages_arch:%=binary-%)
	@
binary-indep: $(packages_indep:%=binary-%)
	@

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(RM) -r build

build-uclibc$(version): build-default

build-default: build/default/.config
	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS)

build/default/.config: debian/$(config)
	dh_testdir
	mkdir -p build/default
	cp $< $@

ifneq ($(interactive),)
debian/$(config):
	dh_testdir
	mkdir -p build/default
	$(MAKE) $(parallel) menuconfig O=$(pwd)/build/default ARCH=$(arch)
	cp build/default/.config $@
endif

build-uclibc-source: build/uClibc-$(version).tar.bz2

build/uClibc-$(version).tar.bz2: build/uClibc-$(version).tar
	bzip2 -9k <$< >$@

build/uClibc-$(version).tar:
	dh_testdir
	mkdir -p build
	tar -cf $@ --exclude=./build --transform s@^\.@uClibc-$(version)@ .

binary-%: build-%
	dh_testdir
	dh_testroot
	dh_prep -p$*
	dh_installchangelogs -p$*
	dh_installdocs -p$*
	dh_install -p$*
	dh_compress -p$*
	dh_fixperms -p$*
	dh_installdeb -p$*
	dh_shlibdeps -p$*
	dh_gencontrol -p$*
	dh_md5sums -p$*
	dh_builddeb -p$*

## uclibc 0.9.32

=== test/Makefile ===
--- 
+++ 
@@ -26,13 +26,16 @@
 ifneq ($(UCLIBC_HAS_REGEX),y)
 	DIRS := $(filter-out regex,$(DIRS))
 endif
+ifneq ($(UCLIBC_HAS_THREADS_NATIVE),y)
+	DIRS := $(filter-out tls nptl,$(DIRS))
+endif
 ifneq ($(UCLIBC_HAS_WCHAR),y)
 	DIRS := $(filter-out locale-mbwc,$(DIRS))
 endif
 ifneq ($(UCLIBC_HAS_LOCALE),y)
 	DIRS := $(filter-out locale,$(DIRS))
 endif
-ifeq ($(UCLIBC_HAS_CRYPT_STUB),y)
+ifneq ($(UCLIBC_HAS_CRYPT),y)
 	DIRS := $(filter-out crypt,$(DIRS))
 endif
 ifeq ($(HAS_NO_THREADS),y)
@@ -41,9 +44,12 @@
 
 test check all: run
 
-run: subdirs_run
+run: compile subdirs_run
 
-compile: subdirs_compile
+compile: $(top_builddir)/$(LOCAL_INSTALL_PATH) subdirs_compile
+
+$(top_builddir)/$(LOCAL_INSTALL_PATH):
+	$(Q)$(MAKE) -C $(top_builddir) $(LOCAL_INSTALL_PATH)
 
 tags:
 	ctags -R

=== utils/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: utils
include Makefile.in
include $(top_srcdir)Makerules

=== ldso/man/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000,2001,2005 Erik Andersen <andersen@uclibc.org>
#
# Derived in part from the Linux-8086 C library, the GNU C Library, and several
# other sundry sources.  Files within this library are copyright by their
# respective copyright holders.
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

include ../Config.mk

ALL = #ld.so.info

all:	$(ALL)

ld.so.info: ld.so.texi
	makeinfo $<

clean:
	$(RM) $(ALL) *~

=== test/API/Makefile ===
# uClibc API tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/assert/Makefile ===
# uClibc assert tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/build/Makefile ===
# uClibc build tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/ctype/Makefile ===
# uClibc ctype tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/locale-mbwc/Makefile ===
# uClibc locale tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/malloc/Makefile ===
# uClibc malloc tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/math/Makefile ===
# uClibc math tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/nptl/Makefile ===
# uClibc NPTL tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
top_srcdir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== test/regex/Makefile ===
# uClibc regex tests
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_builddir=../../
include ../Rules.mak
-include Makefile.in
include ../Test.mak

=== debian/changelog ===
uclibc (0.9.32-1) unstable; urgency=low

  * New upstream release
  * Add myself as maintainer
  * Bump standards version 
  * Add Vcs-Git, Vcs-Browser and Homepage fields
  * Add watch file 

 -- Hector Oron <zumbi@debian.org>  Sat, 11 Jun 2011 03:06:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: libs
 Priority: extra
 Maintainer: Simon Richter <sjr@debian.org>
+Uploaders: Hector Oron <zumbi@debian.org>
 Build-Depends: linux-libc-dev, debhelper (>= 7)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/collab-maint/uclibc
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uclibc.git
+Homepage: http://uclibc.org/
 
 Package: uclibc-source
 Section: devel
@@ -19,7 +23,7 @@
 Package: libuclibc-dev
 Section: libdevel
 Architecture: any
-Depends: uclibc0.9.30.2 (= ${binary:Version})
+Depends: uclibc0.9.32 (= ${binary:Version})
 Description: Small C library implementation - development files
  uClibc is an implementation of the standard C library that is much smaller
  than glibc, which makes it useful for embedded systems. This package provides
@@ -41,7 +45,7 @@
  variant of the shared library that is smaller, but only guaranteed to work
  with a fixed set of applications.
 
-Package: uclibc0.9.30.2
+Package: uclibc0.9.32
 Section: libs
 Architecture: any
 Description: Small C library implementation - runtime libraries
@@ -51,7 +55,7 @@
  .
  This package provides the run-time binaries.
 
-Package: uclibc32-0.9.30.2
+Package: uclibc32-0.9.32
 Section: libs
 Architecture: any
 Description: Small C library implementation - 32 bit runtime libraries
@@ -62,7 +66,7 @@
  This package provides the run-time binaries for the 32 bit variant of this
  architecture.
 
-Package: uclibc64-0.9.30.2
+Package: uclibc64-0.9.32
 Section: libs
 Architecture: any
 Description: Small C library implementation - 64 bit runtime libraries
@@ -73,7 +77,7 @@
  This package provides the run-time binaries for the 64 bit variant of this
  architecture.
 
-Package: uclibc0.9.30.2-multilib
+Package: uclibc0.9.32-multilib
 Section: libs
 Architecture: any
 Description: Small C library implementation - non-standard runtime libraries
@@ -84,7 +88,7 @@
  This package provides the run-time binaries for ABIs different from the
  system default.
 
-Package: libc0.9.30.2uc
+Package: libc0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library
@@ -94,7 +98,7 @@
  .
  This package provides the C library.
 
-Package: lib32c0.9.30.2uc
+Package: lib32c0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - 32 bit C library
@@ -105,7 +109,7 @@
  This package provides the C library, compiled for a 32 bit execution
  environment.
 
-Package: lib64c0.9.30.2uc
+Package: lib64c0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - 64 bit C library
@@ -116,7 +120,7 @@
  This package provides the C library, compiled for a 64 bit execution
  environment.
 
-Package: libm0.9.30.2uc
+Package: libm0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library
@@ -126,7 +130,7 @@
  .
  This package provides the mathematical library.
 
-Package: lib32m0.9.30.2uc
+Package: lib32m0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library
@@ -137,7 +141,7 @@
  This package provides the mathematical library, compiled for a 32 bit
  execution environment.
 
-Package: lib64m0.9.30.2uc
+Package: lib64m0.9.32uc
 Section: libs
 Architecture: any
 Description: Small C library implementation - C library

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 0.9.30.2
+version = 0.9.32
 
 pwd = $(shell pwd)

## uclibc 1.0.20

=== debian/changelog ===
uclibc (1.0.20-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Find linux headers in multiarch locations.
      (Closes: #808542)
  * Enable verbose build logs.
      (Closes: #808543)

  [ Chris Lamb ]
  * Make the build reproducible.
      (Closes: #778216)

  [ Héctor Orón Martínez ]
  * Drop mentions of run-time libs in source binary package description.
      (Closes: #641680)
  * Add Vcs-* fields, as Vcs has been restored.
  * Update debian watch for newer upstream.
  * Add gbp configuration file.

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 19 Dec 2016 01:01:33 +0100

uclibc (1.0.20-1) unstable; urgency=medium

  * New upstream release:
    - Switch to uClibc-ng source codebase.
    - Old uClibc is no longer under development.
  * Bump standards version.
  * Update myself on uploaders field.
  * Update homepage, drop Vcs-* as those are no longer available.
  * Drop unused packages from control file
  * Update version in rules file
  * Rename uclibc-source tarball to uClibc-ng-*
  * Switch uclibc-source tarball to xz compression.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 18 Dec 2016 23:57:16 +0100

## uclibc 1.0.31

=== extra/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: objs
include Makefile.in
include $(top_srcdir)Makerules

=== debian/changelog ===
uclibc (1.0.31-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New upstream version 1.0.31

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Feb 2019 19:54:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CROSS =
@@ -28,7 +30,7 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 0.9.32
+version = 1.0.20
 
 pwd = $(shell pwd)
 
@@ -92,16 +94,24 @@
 	dh_testroot
 	dh_clean
 	$(RM) -r build
+	$(RM) -rf debian/include
 
 build-uclibc$(version): build-default
 
-build-default: build/default/.config
-	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS)
+build-default: build/default/.config debian/include
+	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS) V=2
 
 build/default/.config: debian/$(config)
 	dh_testdir
 	mkdir -p build/default
 	cp $< $@
+
+debian/include:
+	$(RM) -rf $@
+	mkdir $@
+	ln -s /usr/include/$(DEB_HOST_MULTIARCH)/asm $@/
+	ln -s /usr/include/asm-generic $@/
+	ln -s /usr/include/linux $@/
 
 ifneq ($(interactive),)
 debian/$(config):
@@ -111,15 +121,15 @@
 	cp build/default/.config $@
 endif
 
-build-uclibc-source: build/uClibc-$(version).tar.bz2
+build-uclibc-source: build/uClibc-ng-$(version).tar.xz
 
-build/uClibc-$(version).tar.bz2: build/uClibc-$(version).tar
-	bzip2 -9k <$< >$@
+build/uClibc-ng-$(version).tar.xz: build/uClibc-ng-$(version).tar
+	xz -9k <$< >$@
 
-build/uClibc-$(version).tar:
+build/uClibc-ng-$(version).tar:
 	dh_testdir
 	mkdir -p build
-	tar -cf $@ --exclude=./build --transform s@^\.@uClibc-$(version)@ .
+	tar -cf $@ --mtime="$(BUILD_DATE)" --exclude=./build --transform s@^\.@uClibc-ng-$(version)@ .
 
 binary-%: build-%
 	dh_testdir

## uclibc 1.0.35

=== libuargp/Makefile ===
# Makefile for uClibc (libuargp)
#
# Copyright (C) 2010 STMicroelectronics Ltd
# Author(s): Filippo Arcidiacono <filippo.arcidiacono at st.com>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: libs
include Makefile.in
include $(top_srcdir)Makerules

=== libc/string/csky/Makefile ===
top_srcdir:=../../../
top_builddir:=../../../
all: objs
include $(top_builddir)Rules.mak
include ../Makefile.in
include $(top_srcdir)Makerules

=== libc/string/ia64/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir:=../../../
top_builddir:=../../../
all: objs
include $(top_builddir)Rules.mak
include ../Makefile.in
include $(top_srcdir)Makerules

=== libpthread/nptl/sysdeps/unix/sysv/linux/metag/Makefile ===
# Makefile for uClibc NPTL
#
# Copyright (C) 2005 Steven J. Hill <sjhill@uclibc.org>
#
# Licensed under the LGPL v2.1 or later, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../../../../../
top_builddir=../../../../../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.arch
include $(top_srcdir)Makerules

=== libpthread/nptl/sysdeps/unix/sysv/linux/powerpc/Makefile ===
# Makefile for uClibc NPTL
#
# Copyright (C) 2009  Bernhard Reutner-Fischer  <uclibc@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../../../../../
top_builddir=../../../../../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.arch
include $(top_srcdir)Makerules

=== debian/changelog ===
uclibc (1.0.35-1) unstable; urgency=medium

  * New upstream release 1.0.35

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 29 Aug 2020 04:35:19 +0200

=== debian/control ===
Source: uclibc
Section: libs
Priority: extra
Maintainer: Simon Richter <sjr@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: linux-libc-dev, debhelper (>= 7)
Standards-Version: 3.9.8
Homepage: https://www.uclibc-ng.org/
Vcs-Git: git://git.debian.org/git/collab-maint/uclibc
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uclibc.git

Package: uclibc-source
Section: devel
Architecture: all
Description: Small C library implementation - source
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems.
 .
 This package provides the source code for the library, for toolchain
 bootstrap purposes.

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 1.0.20
+version = 1.0.35
 
 pwd = $(shell pwd)

=== debian/watch ===
version=3
https://downloads.uclibc-ng.org/releases/([\d].*)/ uClibc-ng-([\d].*)\.tar\.xz

## uclibc 1.0.54

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,14 @@
 #
 
 top_srcdir=./
-top_builddir=./
-#include $(top_builddir)Rules.mak
-#all: libs
-include Makefile.in
+top_builddir=$(if $(O),$(O),.)/
+export top_builddir
+
+# We do not need built-in implicit rules
+MAKEFLAGS += -r
+CONFIG_SHELL ?= /bin/sh
+export CONFIG_SHELL
+
+include $(top_srcdir)Makefile.in
 include $(top_srcdir)Makerules
 include $(top_srcdir)Makefile.help

=== libintl/Makefile ===
# Makefile for uClibc-ng
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: libs
include Makefile.in
include $(top_srcdir)Makerules

=== librt/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: libs
include Makefile.in
include $(top_srcdir)Makerules

=== libubacktrace/Makefile ===
# Makefile for uClibc (libubacktrace)
#
# Copyright (C) 2010 STMicroelectronics Ltd
# Author(s): Carmelo Amoroso <carmelo.amoroso@st.com>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../
top_builddir=../
include $(top_builddir)Rules.mak
all: libs
include Makefile.in
include $(top_srcdir)Makerules

=== extra/config/Makefile ===
top_srcdir ?= ../../

ifdef O
top_builddir ?= ../../
else
top_builddir = ../../
endif

include $(top_srcdir)Rules.mak
include $(top_srcdir)Makerules

# ugh
top_srcdir:=$(shell cd $(top_srcdir) && pwd)/

src := extra/config
obj := $(top_builddir)$(src)

generated := $(patsubst %_shipped,%,$(wildcard *_shipped))
generated := $(addprefix $(obj)/,$(generated:.c=.o))

include $(top_srcdir)extra/config/Makefile.kconfig
HOST_EXTRACFLAGS += -DCONFIG_='""'

# do not create temporary object in the readonly srctree
$(obj)/dochecklxdialog: CONFIG_SHELL:=cd $(obj) && $(CONFIG_SHELL)
HOSTCFLAGS_zconf.lex.o	:= -I$(top_srcdir)$(src)
HOSTCFLAGS_zconf.tab.o	:= -I$(top_srcdir)$(src)
conf-objs := $(addprefix $(obj)/,$(conf-objs))
mconf-objs := $(addprefix $(obj)/,$(mconf-objs))
nconf-objs := $(addprefix $(obj)/,$(nconf-objs))
kxgettext-objs := $(addprefix $(obj)/,$(kxgettext-objs))

ifeq ($(findstring mconf,$(MAKECMDGOALS)),mconf)
hostprogs-y += mconf
endif
ifeq ($(findstring nconf,$(MAKECMDGOALS)),nconf)
hostprogs-y += nconf
endif

__hostprogs := $(sort $(hostprogs-y) $(hostprogs-m))
host-csingle:= $(foreach m,$(__hostprogs),$(if $($(m)-objs),,$(m)))
host-cmulti := $(foreach m,$(__hostprogs),\
           $(if $($(m)-cxxobjs),,$(if $($(m)-objs),$(m))))
host-cobjs  := $(sort $(foreach m,$(__hostprogs),$($(m)-objs)))

conf mconf nconf kxgettext: %: $(obj)/%
$(obj)/conf $(obj)/mconf $(obj)/nconf $(obj)/kxgettext: BUILD_LDFLAGS=$(HOSTLOADLIBES_$(@F))
$(obj)/conf: $(conf-objs)
	$(hcompile.u)
$(obj)/mconf: $(mconf-objs)
	$(hcompile.u)
$(obj)/nconf: $(nconf-objs)
	$(hcompile.u)
$(obj)/kxgettext: $(kxgettext-objs)
	$(hcompile.u)

$(host-csingle) $(host-cmulti) $(host-cobjs): BUILD_CFLAGS+=$(HOST_EXTRACFLAGS) \
					$(HOSTCFLAGS) $(HOSTCFLAGS_$(@F))

host-cobjs.nogen := $(filter-out $(generated),$(host-cobjs))
host-cobjs.generated := $(filter $(generated),$(host-cobjs))

$(host-cobjs.nogen): $(obj)/%.o: $(top_srcdir)$(src)/%.c
	$(hcompile.o)
$(host-cobjs.generated): $(obj)/%.o: $(obj)/%.c
	$(hcompile.o)

# we use the pre-generated always
$(obj)/%:: $(top_srcdir)$(src)/%_shipped
	@$(disp_gen)
	$(Q)cat $< > $@

CLEAN_extra/config menuconfig_clean:
	$(do_rm) $(clean-files) $(lxdialog) conf $(wildcard *.o)
distclean: CLEAN_extra/config
	$(Q)$(RM) -r $(lxdialog) $(conf-objs) $(mconf-objs) $(nconf-objs) \
		$(kxgettext-objs) \
		$(hostprogs-y) $(qconf-cxxobjs) $(qconf-objs) $(gconf-objs) \
		.depend \
		$(top_builddir)include/config $(top_builddir)include/generated

.PHONY: clean distclean $(PHONY)

=== extra/locale/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#
top_srcdir=../../
top_builddir=$(if $(O),$(O),../../)/

all: objs
include $(top_srcdir)Rules.mak
include Makefile.in
include $(top_srcdir)Makerules

=== libc/stdlib/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../
top_builddir=../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.in
include $(top_srcdir)Makerules

=== libc/misc/elf/Makefile ===
# Copyright (C) 2008 STMicroelectronics Ltd.
# Author: Carmelo Amoroso <carmelo.amoroso@st.com>

# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../
top_builddir=../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.in
include $(top_srcdir)Makerules

=== libc/misc/fts/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2009 STMicroelectronics Ltd.
# Author: Salvatore Cro <salvatore.cro at st.com>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../
top_builddir=../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.in
include $(top_srcdir)Makerules

=== libc/stdlib/malloc-standard/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
#

top_srcdir=../../../
top_builddir=../../../
all: objs
include $(top_builddir)Rules.mak
include Makefile.in
include $(top_srcdir)Makerules

=== libc/string/arc/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
#
# Licensed under the LGPL v2.1 or later, see the file COPYING.LIB in this tarball.
#

top_srcdir:=../../../
top_builddir:=../../../
all: objs
include $(top_builddir)Rules.mak
include ../Makefile.in
include $(top_srcdir)Makerules

=== libc/string/avr32/Makefile ===
# Makefile for uClibc
#
# Copyright (C) 2000-2003 Erik Andersen <andersen@uclibc.org>
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU Library General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more
# details.
#
# You should have received a copy of the GNU Library General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

top_srcdir	:= ../../../
top_builddir	:= ../../../

all: objs

include $(top_builddir)Rules.mak
include ../Makefile.in
include $(top_srcdir)Makerules

=== debian/changelog ===
uclibc (1.0.54-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version (closing CVE-2021-27419)
    Closes: #1010748, #811252
  * Point Vcs fields to Salsa
  * Remove Simon Richter from Maintainer at own request (thank you for your
    previous work, Simon)
    Closes: #946533
  * d/watch: version=4
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/rules: automatically calculcate version
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for uclibc-source.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Helmut Grohne ]
  * (re-)enable verbose build logs
    Closes: #864020

  [ Vagrant Cascadian ]
  * reproducible builds: Do not include user, group and file mode of build user
    in tarball
    Closes: #1020867

 -- Andreas Tille <tille@debian.org>  Wed, 10 Sep 2025 06:33:55 +0200

=== debian/control ===
Source: uclibc
Standards-Version: 4.7.2
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Section: libs
Priority: optional
Build-Depends:
 linux-libc-dev,
 debhelper-compat (= 13),
Vcs-Browser: https://salsa.debian.org/debian/uclibc
Vcs-Git: https://salsa.debian.org/debian/uclibc.git
Homepage: https://www.uclibc-ng.org/

Package: uclibc-source
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Small C library implementation - source
 uClibc is an implementation of the standard C library that is much smaller
 than glibc, which makes it useful for embedded systems.
 .
 This package provides the source code for the library, for toolchain
 bootstrap purposes.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #! /usr/bin/make -f
 
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/architecture.mk
 
 BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
@@ -30,7 +27,8 @@
 
 parallel = $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
-version = 1.0.35
+include /usr/share/dpkg/default.mk
+version = $(DEB_VERSION_UPSTREAM)
 
 pwd = $(shell pwd)
 
@@ -99,7 +97,7 @@
 build-uclibc$(version): build-default
 
 build-default: build/default/.config debian/include
-	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS) V=2
+	$(MAKE) $(parallel) libs O=$(pwd)/build/default ARCH=$(arch) CROSS=$(CROSS) V=1
 
 build/default/.config: debian/$(config)
 	dh_testdir
@@ -129,7 +127,7 @@
 build/uClibc-ng-$(version).tar:
 	dh_testdir
 	mkdir -p build
-	tar -cf $@ --mtime="$(BUILD_DATE)" --exclude=./build --transform s@^\.@uClibc-ng-$(version)@ .
+	tar -cf $@ --mtime="$(BUILD_DATE)" --sort=name --owner=0 --group=0 --numeric-owner --mode=go=rX,u+rw,a-s --exclude=./build --exclude=.pc --exclude=debian --transform s@^\.@uClibc-ng-$(version)@ .
 
 binary-%: build-%
 	dh_testdir

=== debian/watch ===
version=4

## opts="pgpsigurlmangle=s:$:.asc:" # no signing key found
https://downloads.uclibc-ng.org/releases/([\d].*)/ uClibc-ng-([\d].*)\.tar\.xz
